PEAK Hardware Control Panel

Deutsche Hilfe

English Help

Last update: 19.07.2019

Send feedback | Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.


Einführung

Einführung

Willkommen zur Dokumentation der PEAK-Hardware Systemsteuerung.

PCAN-Grundlagen

Grundlagen des PCAN-Systems, das allen PCAN-Programmen zu Grunde liegt.

Einrichten von CAN-Hardware

Beschreibt die Vorgehensweise zum Einrichten der verwendeten CAN-Hardware.

Benutzeroberfläche der Systemsteuerung

Beschreibt alle Elemente in der Benutzeroberfläche der PEAK-Hardware Systemsteuerung

Lizenzbestimmungen

Enthält Informationen zu Lizenzbestimmungen sowie zum Hersteller dieser Software.

Feedback senden | Copyright © 2019 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


PCAN-Grundlagen

PCAN steht für PEAK CAN APPLICATIONS und ist ein flexibles System zur Planung, Entwicklung und Benutzung von CAN-Netzen. Es ist sowohl für den Entwickler als auch für den Endbenutzer ein hilfreiches und mächtiges Produkt.

Basis für die Kommunikation zwischen PCs und externer Hardware über CAN sind eine Reihe von Windows Kernel Mode Gerätetreiber, z.B. PCAN_USB.SYS, PCAN_PCI.SYS, PCAN_xxx.SYS. Diese Treiber bilden den Kern einer kompletten CAN-Umgebung auf einem PC mit Windows als Betriebssystem, und arbeiten als Schnittstellen zwischen CAN-Software und PC-basierter CAN-Hardware. Die Treiber verwalten den ganzen Datenverkehr jedes an den PC angeschlossenen CAN-Geräts.

Benutzern oder Administratoren einer CAN-Installation wird der Zugriff auf das Netzwerk mittels PCAN-Client-Programmen ermöglicht (kurz: Client). Mit ihrer Hilfe können Prozessgrößen visualisiert und beeinflusst werden. Die Treiber ermöglichen die Verbindung von mehreren Clients zur selben Zeit.

Weiterhin werden von einem PCAN-Treiber mehrere Hardware-Komponenten unterstützt, die auf dem CAN-Controller SJA1000 basieren. So genannte Netze stellen die logische Struktur für CAN-Busse zur Verfügung, die virtuell in den PC hinein verlängert sind. Auf der Hardware-Seite können ebenfalls mehrere Clients verbunden sein. Die folgende Grafik zeigt die verschiedenen Möglichkeiten von Netzkonfigurationen (die auch alle zur selben Zeit realisiert werde können):

Merkmale des PCAN-Systems:

  • Ein Client kann an mehrere Netze angeschlossen sein

  • Ein Netz versorgt mehrere Clients

  • Eine Hardware gehört zu maximal einem Netz

  • Einem Netz ist keine oder genau eine Hardware zugeordnet

  • Sendet ein Client, wird die Botschaft an alle anderen verbundenen Clients weitergegeben, und über eine verbundene CAN-Hardware auf den externen CAN-Bus

  • Wird eine Botschaft über die CAN-Hardware empfangen, wird sie an alle verbundenen Clients weitergegeben. Jeder Client empfängt aber nur die Botschaften, die seinen Akzeptanzfilter passieren.

  • Jeder Client hat eine Sende-Queue, in der zu sendende CAN-Botschaften bis zu ihrem Sendezeitpunkt warten. Beim Erreichen des Sendezeitpunktes werden sie in die Sende-Queue der PCAN-Hardware geschrieben.

  • Jeder Client hat eine Empfangs-Queue, die empfangene Botschaften puffert.

  • Jede Hardware hat eine Sende-Queue, um zu sendende CAN-Botschaften zu puffern.

Siehe auch

Einrichten der CAN-Hardware

Feedback senden | Copyright © 2019 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Benutzeroberfläche der Systemsteuerung

Im PEAK-Hardware Systemsteuerungmodul können Sie PEAK-Hardware konfigurieren sowie Information über die installierten Gerätetreiber und über andere Software-Module ablesen.

Die Einstellungen und Informationen sind auf verschiedene Registerkarten verteilt:

  • Registerkarte CAN-Hardware

  • Registerkarte LIN-Hardware

  • Registerkarte Treiber

  • Registerkarte APIs

  • Registerkarte PCAN-Basic API

  • Registerkarte RP1210

  • Registerkarte Über

Registerkarte CAN-Hardware

Aktives Gerät

Wählt den installierten Treiber bzw. den Gerätetyp aus, der als Basis des PCAN-Systems dienen soll. PCAN-Clientsoftware, die keine eigene Auswahl des Gerätetyps anbietet, verwendet den hier ausgewählten Gerätetyp.

Gerätetyp

Beschreibung

Virtuell

Falls keine PCAN-Hardware zur Verfügung steht, können Sie diesen Gerätetyp auswählen (falls vorhanden), um trotzdem PCAN-Clientsoftware in Betrieb nehmen zu können.

Peakcan
(Non-Plug-and-Play)

Ist dieser Gerätetyp vorhanden, können Sie ihn auswählen, wenn Sie beispielsweise eine PCAN-ISA-Karte oder ein PCAN-Dongle einrichten wollen. Die entsprechenden Geräte müssen Sie dann manuell hinzufügen (siehe Schaltfläche Hinzufügen).

PCI

Wählen Sie diesen Gerätetyp aus, falls Sie eine PCAN-Hardware verwendet möchten, die auf dem PCI-Bus basiert. Dies trifft auf folgende Hardware zu:

  • PCAN-PCI

  • PCAN-PCI Express (FD)

  • PCAN-PC/104-Plus

  • PCAN-cPCI

  • PCAN-miniPCI

  • PCAN-miniPCIe (FD)

  • PCAN-ExpressCard (34)

  • PCAN-PCI/104-Express (FD)

  • PCAN-M.2

Alle eingesteckten und erkannten PCAN-PCI basierenden Geräte werden automatisch in der Liste der verfügbaren Hardware angezeigt, und können ohne weitere Konfiguration sofort verwendet werden.

USB

Wählen Sie diesen Gerätetyp aus, falls Sie eine PCAN-Hardware verwendet möchten, die über den USB-Bus angeschlossen ist. Dies trifft auf folgende Hardware zu:

  • PCAN-USB (FD)

  • PCAN-USB Pro (FD)

  • PCAN-USB Hub

  • PCAN-USB X6

Alle eingesteckten und erkannten PCAN-USB-Adapter werden automatisch in der Liste der verfügbaren Hardware angezeigt, und können ohne weitere Konfiguration sofort verwendet werden.

PC Card

Wählen Sie diesen Gerätetyp aus, falls Sie eine PCAN-PC Card verwendet möchten. Alle eingesteckten und erkannten PCAN-PC Cards werden automatisch in der Liste der verfügbaren Hardware angezeigt, und können ohne weitere Konfiguration sofort verwendet werden.

Dongle
(Parallel Port)

Falls vorhanden können Sie diesen Gerätetyp auswählen, wenn Sie einen PCAN-Dongle für den Parallel Port verwenden möchten. Die entsprechende Hardware müssen Sie dann manuell hinzufügen (siehe Schaltfläche Hinzufügen).

ISA

Falls vorhanden können Sie diesen Gerätetyp auswählen, wenn Sie eine PCAN-ISA-Karte oder eine PCAN-PC/104-Karte verwenden möchten. Die entsprechende Hardware müssen Sie dann manuell hinzufügen (siehe Schaltfläche Hinzufügen).

LAN

Falls vorhanden können Sie diesen Gerätetyp auswählen, wenn Sie ein PCAN-Wireless Gateway oder ein PCAN-Ethernet Gateway verwenden möchten. Die für die Anbindung der Module nötige Routen-Konfiguration nehmen Sie bitte mit Hilfe des Programms Virtual PCAN-Gateway Configuration vor.

Die folgende CAN-Hardware...

Diese Liste zeigt die bereits installierte und eingerichtete CAN-Hardware an. Bei den Plug-and-Play-Gerätetypen wird die Hardware automatisch eingerichtet, andernfalls müssen Sie die gewünschte Hardware durch Drücken der Schaltfläche Hinzufügen manuell hinzufügen und konfigurieren.

Hinzufügen

Fügt eine neue Hardware zur Liste der verfügbaren CAN-Hardware hinzu. Diese Funktion ist nur aktiv, wenn mindestens einer der Treiber für die Gerätetypen Peakcan, ISA oder Dongle installiert ist.

Das Anklicken dieser Schaltfläche öffnet ein Dialogfenster, in dem Sie aus einer Liste die gewünschte CAN-Hardware (gegebenenfalls mit speziellem Betriebsmodus) sowie die dazugehörige E/A-Adresse und der Interrupt auswählen können. Nähere Information zu diesen Angaben erhalten Sie aus der Dokumentation zu der verwendeten Hardware.

Löschen

Löscht ein vorhandene Hardware aus der Liste der verfügbaren CAN-Hardware. Diese Funktion ist nur aktiv, wenn in der Liste eine Hardware ausgewählt ist, die zu einer der Gerätetypen Peakcan, ISA oder Dongle gehört.

Ändern

Ändert die Einstellungen für ein Gerät aus der Liste der verfügbaren CAN-Hardware. Diese Funktion ist nur aktiv, wenn in der Liste eine Hardware ausgewählt ist, die zu einer der Gerätetypen Peakcan, ISA oder Dongle gehört.

Das Anklicken dieser Schaltfläche öffnet ein Dialogfenster, in dem Sie die E/A-Adresse und den Interrupt für die entsprechende Hardware auswählen können. Nähere Information zu diesen Angaben erhalten Sie aus der Dokumentation zu der verwendeten Hardware.

Geräte-ID setzen

Unterstützt eine ausgewählte Hardware das Setzen einer Geräte-ID, können Sie über diese Schaltfläche nach Auswahl der Hardware in der Liste ein Dialogfenster zum Ändern der Geräte-ID öffnen.

Registerkarte LIN-Hardware

Diese Registerkarte wird nur dann angezeigt, wenn der LIN-Treiber installiert ist, z.B. für PCAN-USB Pro (FD) oder PLIN-USB Adapter.

Geräte-Manager-Version

Zeigt die Versionsnummer des PLIN-Geräte-Managers an, der auf diesem Computer installiert ist.

Die folgende LIN-Hardware...

Diese Liste zeigt die eingesteckte LIN-Hardware an.

Identifizieren

Nach der Auswahl einer LIN-Hardware aus der Liste können Sie mit dieser Schaltfläche den zugehörigen LIN-Kanal auf der Hardware identifizieren, die LED des Kanals wird mehrmals hintereinander blinken.

Registerkarte Treiber

Die folgenden PEAK-Gerätetreiber sind installiert

Diese Liste enthält eine Übersicht über alle installierten PEAK-Gerätetreiber.

Treiberinformation

Hier werden Name, Version, evtl. Seriennummer und weitere Information zum ausgewählten Treiber angezeigt.

Registerkarte APIs

Die folgenden API-DLLs sind installiert

Diese Liste führt alle im Windows-Systemverzeichnis installierten PEAK API-DLLs auf, und gibt ihren Typ (32/64-Bit) und Versionsnummer an.

DLL-Information

Gibt den Speicherort der ausgewählten API-DLL an.

Registerkarte PCAN-Basic API

Die folgenden PCAN-Basic-Kanäle sind aktuell in Verwendung

Diese Liste enthält eine Übersicht aller Hardware-Kanäle, die momentan über eine PCAN-Basic Programmierschnittstelle in Verwendung sind.

Zurücksetzen

Setzt den in der Liste ausgewählten PCAN-Basic-Kanal zurück und versucht, den zugehörigen Prozess zu beenden.

Alle Zurücksetzen

Setzt alle in der Liste angezeigten PCAN-Basic-Kanäle zurück und versucht, die zugehörigen Prozesse zu beenden.

Registerkarte RP1210

Diese Registerkarte wird nur angezeigt, wenn auf dem Computer mindestens eine der RP1210-API-DLLs von PEAK-System Technik installiert ist.

Installierte API-DLLs

Diese Liste führt alle auf diesem Computer installierten RP1210-API-DLLs auf (RP1210A, RP1210C, 32/64-Bit).

RP1210C-Geräte

Diese Liste führt die CAN-Hardware auf, die bereits für die Verwendung mit der RP1210C-API konfiguriert wurde. Die Liste ist nur sichtbar, wenn die RP1210C-API installiert ist.

Hinzufügen

Fügt eine vorhandene CAN-Hardware zur Liste der RP1210C-Geräte hinzu. Anklicken der Schaltfläche öffnet ein Dialogfenster, in welchem die verfügbare CAN-Hardware aufgeführt ist, und die noch nicht in der Liste der RP1210C-Geräte enthalten ist.

Die Schaltfläche ist nur sichtbar, wenn die RP1210C-API installiert ist.

Löschen

Löscht die ausgewählte CAN-Hardware aus der Liste der RP1210C-Geräte. Diese Funktion ist nur aktiv, wenn in der Liste eine Hardware ausgewählt ist.

Die Schaltfläche ist nur sichtbar, wenn die RP1210C-API installiert ist.

Debug-Logdatei

Konfiguriert Einstellungen, welche die Erstellung einer Logdatei bei Verwendung der RP1210C-API steuern.

Die Schaltfläche ist nur sichtbar, wenn die RP1210C-API installiert ist.

Registerkarte Über

Zeigt Information über das PEAK-Hardware Systemsteuerungsmodul an.

Siehe auch

Einrichten der CAN-Hardware

Feedback senden | Copyright © 2019 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Einrichten der CAN-Hardware

PEAK Hardware Systemsteuerung

Einführung

Einrichten von CAN-Hardware

Einige ältere Non-Plug-and-Play CAN-Hardware (z.B. PCAN-Dongle, PCAN-ISA-Karte) erfordern eine manuelle Konfiguration, nachdem sie in den Computer eingesteckt wurde, um den Installationsvorgang fertigzustellen. Erst wenn die Hardware erfolgreich manuell konfiguriert wurde, kann sie für die Kommunikation mit CAN-Bussen verwendet werden.

Um eine Non-Plug-and-Play CAN-Hardware zu konfigurieren:

  1. Stellen Sie sicher, dass der korrekte Treiber für Ihre Non-Plug-and-Play Hardware installiert ist (ISA/Dongle).

  2. Öffnen Sie die PEAK-Hardware Systemsteuerung. Sie finden dieses Systemsteuerungsmodul in der Windows Systemsteuerung in den Kategorien "Netzwerk und Internet" sowie "Hardware und Sound":

  3. Auf der Registerseite CAN-Hardware klicken Sie auf die Schaltfläche Hinzufügen. Es wird das Dialogfenster CAN-Hardware hinzufügen angezeigt.

  4. Wählen Sie unter Gerät den Gerätetyp aus, für den Sie eine Hardware hinzufügen möchten. Je nachdem, welche PCAN-Treiber installiert sind, können hier die Gerätetypen Peakcan, ISA, und Dongle zur Auswahl stehen. Das Gerät ISA unterstützt nur ISA-basierte CAN-Hardware, das Gerät Dongle nur Parallelport-Dongles. Peakcan unterstützt sowohl ISA-Hardware als auch Paralleport-Dongles.

  5. Wählen Sie den Typ der Hardware aus, den Sie hinzufügen möchten.

  6. Wählen Sie die korrekte E/A-Adresse und den Interrupt, den die Hardware verwendet.

  7. Drücken Sie OK, um das Dialogfenster zu schließen.

  8. Drücken Sie OK, um die Systemsteuerung zu schließen. Falls die Hardware mit den gewählten Ressourcen-Angaben nicht gefunden wurde, wird eine Fehlermeldung angezeigt. Andernfalls ist die Hardware nun bereit zur Verwendung.

Siehe auch

Benutzeroberfläche der Systemsteuerung

Feedback senden | Copyright © 2019 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Lizenzbestimmungen

PCAN-Dokumentation

Lizenzbestimmungen

Die im Handbuch verwendeten Bezeichnungen für Erzeugnisse, die zugleich ein eingetragenes Warenzeichen darstellen, wurden nicht gesondert gekennzeichnet. Das Fehlen der ® Markierung ist demzufolge nicht gleichbedeutend mit der Tatsache, dass die Bezeichnung als freier Warenname gilt. Ebensowenig kann anhand der verwendeten Bezeichnung auf eventuell vorliegende Patente oder einen Gebrauchsmusterschutz geschlossen werden. Es sei ausdrücklich darauf verwiesen, dass die Firma PEAK-System Technik GmbH weder eine Garantie noch die juristische Verantwortung oder irgendeine Haftung für Folgeschäden übernimmt, die auf den Gebrauch der beiliegenden Software oder den Inhalt dieses Handbuches zurückzuführen sind. Die in diesem Handbuch enthaltenen Angaben können ohne vorherige Ankündigung geändert werden. Die Firma PEAK-System Technik GmbH geht damit keinerlei Verpflichtungen ein.

Copyright © 2019 PEAK-System Technik GmbH. Alle Rechte vorbehalten.

Kein Teil dieses Hilfetextes darf in irgendeiner Form ohne schriftliche Genehmigung der Firma PEAK-System Technik GmbH unter Einsatz entsprechender Systeme reproduziert, verarbeitet, vervielfältigt oder verbreitet werden.

PEAK-System Technik GmbH
Otto-Röhm-Straße 69
D-64293 Darmstadt

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

Feedback senden | Copyright © 2019 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Introduction

Introduction

Welcome to the documentation of the PEAK Hardware Control Panel.

PCAN Basics

Basics of the PCAN system, which is the base for all PCAN client applications.

Setting Up CAN Hardware

Describes the procedure of setting up the used CAN hardware.

Control Panel User Interface

Describes all elements of the PEAK Hardware control panel user interface.

License Regulations

Contains information about the license regulations and the producer of this software.

Send Feedback | Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.


PCAN Basics

PCAN is a synonym for PEAK CAN APPLICATIONS and is a flexible system for planning, developing and using Controller Area Networks (CAN). It is a powerful product for both the developer and the end-user.

Basis for the communication between PCs and external hardware via CAN is a series of Windows Kernel Mode Drivers (Virtual Device Drivers) e.g. PCAN_USB.SYS, PCAN_PCI.SYS, PCAN_xxx.SYS. These drivers are the core of a complete CAN environment on a PC running Windows and work as interfaces between CAN software and PC-based CAN hardware. The drivers manage the entire data flow of every CAN device connected to the PC.

A user or administrator of a CAN installation gets access via the PCAN-Clients (short: Clients). Several parameters of processes can be visualized and changed with their help. The drivers allow the connection of several Clients at the same time.

Furthermore, several hardware components based on the SJA1000 CAN controller are supported by a PCAN driver. So-called Nets provide the logical structure for CAN busses, which are virtually extended into the PC. On the hardware side, several Clients can be connected, too. The following figures demonstrate different possibilities of Net configurations (also realizable at the same time):

PCAN-System Features:

  • One Client can be connected to several Nets

  • One Net provides several Clients

  • One piece of hardware belongs to one Net

  • One Net can include none or one piece of hardware

  • A message from a transmitting Client is carried on to every other connected Client, and to the external bus via the connected CAN hardware

  • A message received by the CAN hardware is received by every connected Client. However, Clients react only on those messages that pass their acceptance filter

  • Each Client has a transmit queue, in which the transmit messages are buffered until their transmit time is reached. Then they are written into the transmit queue of the CAN hardware.

  • Each Client has a receive queue, which buffers received messages.

  • Each hardware has a transmit queue, which buffers transmit messages.

See also

Setting Up the CAN Hardware

Send Feedback | Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.


Control Panel User Interface

With the PEAK Hardware Control Panel item you can configure PEAK hardware and get information about the installed device drivers and other software modules.

The settings and informations are arranged on different tabs:

  • CAN Hardware Tab

  • LIN Hardware Tab

  • Drivers Tab

  • APIs Tab

  • PCAN-Basic API Tab

  • RP1210 Tab

  • About Tab

CAN Hardware Tab

API DLL Version

Shows the version number of the CAN-API DLL (CanApi2.dll), which is installed on this computer.

Active Device

This setting controls which driver and device type will be used as the basis for the PCAN system. PCAN client software that does not offer its own device selection, uses the device type you selected here.

Device Type

Description

Virtual

Select this device type (if available) to operate a PCAN client software if no PCAN hardware is available.

Peakcan
(non Plug-and-Play)

If this device type is available, you can select it to use a PCAN-ISA card or a PCAN-Dongle. You must install corresponding devices manually (see Add button).

PCI

Choose this device type if you would like to use a PCAN hardware based on the PCI bus. This applies to the following hardware:

  • PCAN-PCI

  • PCAN-PCI Express (FD)

  • PCAN-PC/104-Plus

  • PCAN-cPCI

  • PCAN-miniPCI

  • PCAN-miniPCIe (FD)

  • PCAN-ExpressCard (34)

  • PCAN-PCI/104-Express (FD)

  • PCAN-M.2

All detected PCAN-PCI based devices are automatically displayed in the list of the available hardware. These devices can be used without further configuration.

USB

Choose this device type if you would like to use a PCAN hardware that is connected via the USB bus. This applies to the following hardware:

  • PCAN-USB (FD)

  • PCAN-USB Pro (FD)

  • PCAN-USB Hub

  • PCAN-USB X6

All detected PCAN-USB adapters are automatically displayed in the list of the available hardware. These devices can be used without further configuration.

PC Card

Choose this device type if you would like to use a PCAN-PC Card. All detected PCAN-PC Cards are automatically displayed in the list of the available hardware. These devices can be used without further configuration.

Dongle
(Parallel Port)

If available, select this device if you would like to use a PCAN-Dongle connected to the Parallel Port. You must install the corresponding device manually (see Add button).

ISA

If available, select this device type if you would like to use a PCAN-ISA card or a PCAN-PC/104 card. You must install the corresponding device manually (see Add button).

LAN

If available, select this device type if you would like to use a PCAN-Wireless Gateway or a PCAN-Ethernet Gatway. To connect to one of these modules, additional routing configuration is required, which can be done using the Virtual PCAN-Gateway Configuration tool.

The following CAN hardware...

This list shows the installed and configured CAN hardware. For Plug-and-Play device types, the hardware is configured automatically. You must add and configure Non-Plug-and-Play hardware manually by clicking the Add or Change buttons.

Add

Adds a new hardware to the list of available CAN hardware. This function is only available, if at least one of the device drivers for the device types Peakcan, ISA, or Dongle is installed.

After pressing the button, a dialog box is opened where you can select the CAN hardware type (including operation mode) and the correct I/O Address and Interrupt values. See the documentation of the used hardware for further information.

Delete

Deletes an existing hardware from the list of available CAN hardware. This button is only available, if a hardware is selected in the list that belongs to one of the device types Peakcan, ISA, or Dongle.

Change

Changes the settings for a device from the list of available CAN hardware. This button is only available, if a hardware is selected in the list that belongs to one of the device types Peakcan, ISA, or Dongle.

After pressing the button, a dialog box is opened where you can choose the proper I/O Address and Interrupt values for the hardware. See the documentation of the used hardware for further information.

Set Device ID

If the selected hardware supports setting of a Device ID, pressing this button opens a dialog box where you can edit the Device ID.

LIN Hardware Tab

This tab is shown only if the LIN driver is installed, e.g. for the PCAN-USB Pro (FD) or PLIN-USB adapter.

Device Manager Version

Shows the version number of the PLIN Device Manager, which is installed on this computer.

The following LIN hardware...

This list shows the installed LIN hardware.

Identify

After selecting a LIN hardware in the list, pressing this button flashes the LIN LED on the corresponding device, which is useful to identify the correct hardware and channel.

Drivers Tab

The following PEAK device drivers are installed

This list contains an overview of all installed PEAK device drivers.

Driver Information

Shows the name, version, and other information about the driver that is currently selected in the list.

APIs Tab

The following API-DLLs are installed

This list shows all PEAK API-DLLs installed in the Windows system directory, their type (32/64-bit) and version number.

DLL Information

Shows the installation location of a DLL selected in the list.

PCAN-Basic API Tab

The following PCAN-Basic channels are currently in use

This list shows all hardware channels that are currently in use by a PCAN-Basic application programming interface.

Reset

Resets the PCAN-Basic channel that is selected in the list and tries to terminate the associated process.

Reset All

Resets all PCAN-Basic channels shown in the list and tries to terminate the associated processes.

RP1210 Tab

This tab is shown only if at least one of the RP1210 API DLLs from PEAK-System Technik is installed on this computer.

Installed API DLLs

This list shows all installed RP1210 API DLLs (RP1210A, RP1210C, 32/64-bit).

RP1210C Devices

Lists all CAN hardware that is already configured to be used with the RP1210C API.

Add

Adds an existing CAN hardware to the list of RP1210C devices. If you press the button, a dialog box is opened where you can select CAN hardware that you would like to add to the list. Only the CAN hardware is listed, which is not already in the list.

The button is only visible, if the RP1210C API is installed.

Remove

Removes the selected CAN hardware from the list of RP1210C devices. This function is only available, if a hardware is selected in the list.

The button is only visible, if the RP1210C API is installed.

About Tab

Displays information about the PEAK Hardware control panel module.

See also

Setting Up CAN Hardware

Send Feedback | Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.


Setting Up CAN Hardware

Some older Non-Plug-and-Play CAN hardware (e.g. PCAN-Dongle, PCAN-ISA card) require a manual configuration after plugging the hardware into the computer to finish the installation process. Only after a successful manual configuration the hardware can be used to communicate with CAN buses.

To configure a Non-Plug-and-Play CAN hardware:

  1. Open the PEAK Hardware Control Panel. You can find this control panel module in the Windows Control Panel under the categories "Network and Internet" and "Hardware and Sound".

  2. On the CAN Hardware tab, click on the Add button. The Add CAN Hardware dialog box is shown.

  3. Under Device, choose the device type for which you would like to add a hardware. Depending on which PCAN drivers you have installed, the device types Peakcan, ISA, or Dongle are available for selection. The ISA device supports only ISA-based CAN hardware, the Dongle device supports only parallel port dongles, and the Peakcan device supports both ISA hardware and parallel port dongles.

  4. Choose the Type of Hardware, which you would like to add.

  5. Choose the correct I/O address and Interrupt settings.

  6. Press OK to close the dialog box.

  7. Press OK to close the Control Panel. If the hardware is not found with the specified resource settings, an error message is shown. Otherwise the hardware is now ready for use.

See also

Control Panel User Interface

Send Feedback | Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.


License Regulations

PEAK Hardware Control Panel

License Regulations

Namings for products in this manual, that are registered trademarks, are not separately marked. Therefore the missing of the ® sign does not implicate, that the naming is a free trade name. Furthermore the used names do not indicate patent rights or anything similar. PEAK-System Technik GmbH makes no representation or warranties with respect to the use of enclosed software or the contents of this manual, and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Further, PEAK-System Technik GmbH reserves the right to revise this publication and to make changes to its content, at any time, without obligation to notify any person or entity of such revisions or changes.

Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.

No part of this publication may be reproduced, photocopied, stored on a retrieval system, or transmitted without the express written consent of PEAK-System Technik GmbH.

PEAK-System Technik GmbH
Otto-Röhm-Straße 69
64293 Darmstadt
Germany

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

Send Feedback | Copyright © 2019 PEAK-System Technik GmbH. All rights reserved.